# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::DepthMask Class Reference

RenderState wrapping the OpenGL function glDepthMask(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDepthMask.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::DepthMask:

List of all members.

## Public Member Functions

| DepthMask (bool depthmask=true)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (bool depthmask)
bool | depthMask () const

## Protected Attributes

bool | mDepthMask

## Detailed Description

RenderState wrapping the OpenGL function glDepthMask(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDepthMask.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 303 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::DepthMask::DepthMask | ( | bool | depthmask = `true` ) | `[inline]`

Definition at line 306 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::DepthMask::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Definition at line 310 of file Shader.hpp.

virtual ERenderState vl::DepthMask::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 311 of file Shader.hpp.

References vl::RS_DepthMask.

void DepthMask::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 255 of file Shader.cpp.

References mDepthMask, and VL_CHECK_OGL.

void vl::DepthMask::set | ( | bool | depthmask ) | `[inline]`

Definition at line 313 of file Shader.hpp.

bool vl::DepthMask::depthMask | ( | ) | const`[inline]`

Definition at line 314 of file Shader.hpp.

## Member Data Documentation

bool vl::DepthMask::mDepthMask`[protected]`

Definition at line 316 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:45.
Permission is granted to use this page to write and publish articles regarding Visualization Library.